Linux Mint không an toàn, theo một nhà phát triển Ubuntu làm việc cho Canonical, người nói rằng anh ta sẽ không thực hiện ngân hàng trực tuyến của mình trên PC Linux Mint. Nhà phát triển cáo buộc rằng Linux Mint “hack” các bản cập nhật quan trọng. Đây là một vấn đề thực sự hay chỉ là nỗi sợ hãi?

Nhà phát triển Ubuntu có liên quan đã nhận ra một số dữ kiện sai và làm hỏng trường hợp của chính mình, nhưng vẫn còn một lý lẽ thực sự ở đây. Ubuntu và Linux Mint xử lý các bản cập nhật theo những cách khác nhau và mỗi cách đều có những đánh đổi riêng.

Cáo buộc của nhà phát triển Ubuntu

Oliver Grawert, một nhà phát triển Ubuntu làm việc cho Canonical, bắt đầu cuộc chiến bằng lời nói với thông báo này trong danh sách gửi thư của các nhà phát triển Ubuntu. Trong đó, ông nói rằng các bản cập nhật bảo mật “rõ ràng đã bị tấn công khỏi Linux Mint cho Xorg, kernel, Firefox, bootloader và nhiều gói khác”.

Anh ấy đã cung cấp một liên kết đến tệp quy tắc Cập nhật Mint, nói rằng nó “là một danh sách các gói [Mint] sẽ không bao giờ cập nhật. ” Điều này không chính xác – tệp thực hiện điều gì đó phức tạp hơn thế, nhưng chúng ta sẽ đi sâu vào vấn đề đó sau. Anh ấy tiếp tục: “Tôi sẽ nói cố gắng giữ một trình duyệt hạt nhân dễ bị tấn công hoặc xorg tại chỗ thay vì cho phép cài đặt các bản cập nhật bảo mật đã cung cấp [sic] khiến nó trở thành một hệ thống dễ bị tấn công… Cá nhân tôi sẽ không làm ngân hàng trực tuyến với nó;) ”.

Một số cáo buộc này là hoàn toàn không đúng sự thật. Đúng là Linux Mint chặn các bản cập nhật cho các gói như máy chủ đồ họa X.org, nhân Linux và bộ nạp khởi động theo mặc định. Tuy nhiên, những bản cập nhật này không bị “tấn công khỏi Linux Mint” như chúng tôi sẽ trình bày sau. Linux Mint cũng không chặn các bản cập nhật cho Firefox. Các bản cập nhật cho trình duyệt web Firefox rất quan trọng đối với bảo mật trong thế giới thực và được cho phép theo mặc định, vì vậy cáo buộc của nhà phát triển Ubuntu này là không đúng đắn. Tuy nhiên, vẫn còn một lập luận thực sự ở đây – Linux Mint chặn một số loại cập nhật bảo mật theo mặc định.

Phản hồi của Linux Mint

Người sáng lập và nhà phát triển chính của Linux Mint, Clement Lefebvre đã đáp lại những cáo buộc này bằng một bài đăng trên blog. Trong đó, ông chỉ ra rằng nhà phát triển Ubuntu đã không chính xác về những cáo buộc mà chúng tôi đã giải thích ở trên. Anh ấy cũng làm rõ lý do của Linux Mint để loại trừ các bản cập nhật cho một số gói theo mặc định:

“Chúng tôi đã giải thích vào năm 2007 những thiếu sót là gì với cách Ubuntu khuyến nghị người dùng của họ áp dụng một cách mù quáng tất cả các bản cập nhật có sẵn. Chúng tôi đã giải thích các vấn đề liên quan đến hồi quy và chúng tôi đã triển khai một giải pháp mà chúng tôi rất hài lòng ”.

Firefox được cập nhật tự động bởi Linux Mint, cũng như Ubuntu. Trên thực tế, cả hai bản phân phối đều sử dụng cùng một gói đến từ cùng một kho lưu trữ.

Lập luận chính của Linux Mint là việc cập nhật các gói như máy chủ đồ họa X.org, bộ nạp khởi động và hạt nhân Linux một cách “mù quáng” có thể gây ra sự cố. Các bản cập nhật cho các gói cấp thấp này có thể gây ra lỗi trên một số loại phần cứng, trong khi các vấn đề bảo mật mà chúng giải quyết không thực sự là vấn đề đối với những người sử dụng Linux Mint ở nhà một cách ngẫu nhiên. Ví dụ, nhiều lỗ hổng bảo mật trong nhân Linux là lỗ hổng “leo thang đặc quyền cục bộ”. Chúng có thể cho phép người dùng có quyền truy cập hạn chế vào máy tính trở thành người dùng root và có được quyền truy cập đầy đủ, nhưng chúng không thể dễ dàng bị khai thác từ trình duyệt web như một vấn đề bảo mật điển hình trong Java có thể xảy ra.

Đây thực sự là một vấn đề?

Cả hai bên đều có lý lẽ tốt. Một mặt, hoàn toàn đúng là Linux Mint đang tắt các bản cập nhật bảo mật cho một số gói theo mặc định. Điều này khiến hệ thống Mint có nhiều lỗ hổng bảo mật được biết đến hơn, về mặt lý thuyết có thể bị khai thác.

Mặt khác, đúng là các lỗ hổng bảo mật này không được khai thác tích cực. Linux Mint cập nhật phần mềm đang bị tấn công thực tế, như trình duyệt web. Cũng đúng rằng các bản cập nhật cho X.org đã từng gây ra sự cố trong quá khứ. Vào năm 2006, một bản cập nhật Ubuntu đã phá vỡ máy chủ X của nhiều người dùng Ubuntu đã cài đặt nó, buộc họ phải vào thiết bị đầu cuối Linux. Người dùng bị ảnh hưởng đã phải sửa chữa hệ thống của họ từ thiết bị đầu cuối. Chính sách của Linux Mint về các bản cập nhật đã được ban hành chỉ một năm sau đó vào năm 2007, vì vậy có khả năng tình tiết này đã ảnh hưởng đến quan điểm hiện tại của Linux Mint.

Nếu bạn là người dùng máy tính để bàn tại nhà, có thể bạn sẽ không bị xâm phạm vì một lỗ hổng trong nhân Linux. Tất nhiên, nếu bạn chạy một máy chủ tiếp xúc với Internet hoặc vận hành một máy trạm kinh doanh mà bạn muốn hạn chế quyền truy cập, bạn nên đảm bảo rằng tất cả các bản cập nhật bảo mật có thể đã được cài đặt.

Kiểm soát các bản cập nhật bảo mật trong Linux Mint

Bất kỳ người dùng Linux Mint nào muốn có tất cả các bản cập nhật bảo mật mà người dùng Ubuntu nhận được đều có thể kích hoạt chúng từ trong Trình quản lý cập nhật của Mint. Các bản cập nhật này không bị “tấn công” mà chỉ bị vô hiệu hóa theo mặc định.

Để kiểm soát cài đặt này, hãy mở ứng dụng Trình quản lý cập nhật từ menu của môi trường máy tính để bàn của bạn. Nhấp vào menu Chỉnh sửa và chọn Tùy chọn. Sau đó, bạn sẽ có thể chọn “cấp độ” của gói mà bạn muốn cài đặt. “Cấp độ” được xác định trong tệp quy tắc cập nhật Mint mà chúng tôi đã đề cập trước đó. Cấp độ 1-3 được bật theo mặc định, trong khi cấp độ 4-5 bị tắt theo mặc định. Firefox là gói cấp 2, được cập nhật theo mặc định. X.org và nhân Linux lần lượt là cấp 4 và 5, vì vậy chúng không được cập nhật theo mặc định.

Kích hoạt cấp độ 4 và 5 và bạn sẽ nhận được các bản cập nhật tương tự như bạn sẽ làm trong Ubuntu – đến từ kho lưu trữ bản cập nhật của riêng Ubuntu – nhưng bạn sẽ có nhiều nguy cơ bị “thoái lui” gây ra các vấn đề.


Sự bất đồng thực sự ở đây là một vấn đề triết học. Ubuntu mắc lỗi ở khía cạnh cập nhật mọi thứ theo mặc định, loại bỏ tất cả các lỗ hổng bảo mật có thể có – ngay cả những lỗ hổng không có khả năng bị khai thác trên hệ thống người dùng gia đình. Linux Mint có lỗi trong việc loại trừ các bản cập nhật có thể gây ra sự cố.

Giải pháp nào bạn thích sẽ phụ thuộc vào việc bạn đang sử dụng máy tính của mình và mức độ thoải mái của bạn với các rủi ro.

Tham khảo (HowToGeek)